//+------------------------------------------------------------------+
//|                                                        .mq4 |
//+------------------------------------------------------------------+
//  
//          
// -     
//       

//+----------------------------------------------------------------+
//+            .
//+----------------------------------------------------------------+
#property indicator_chart_window
double TT,  OT,  CT, HT, LT,   TT1,   OT1, CT1,  HT1, LT1, OV1, OV2,
       GL1OC,GL2OC, SOC, SOC1, SHL, SHL1,CSS, CSS1,OV12, OV22, OC1;
extern int PP=5;
extern int Nb = 5;
extern int PB = 20;
extern int milis = 60 ;
extern string Sy1   = "EURUSD";
double           Minimum                ,
                 Maximum                ;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
//----
 for (int i=0; i<Nb; i++) {
//----
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TL"+i) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TT"+i) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TG1"+i) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TG2"+i) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TG3"+i) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TG4"+i) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TG5"+i) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TG6"+i) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TG7"+i) ;
}
//----
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();

//----
//    
//----
//----
   for (int i=0; i<Nb; i++) {
   //     
       TT = iTime( Sy1, PP , i);
       OT = iOpen( Sy1, PP , i);
       CT = iClose( Sy1, PP , i);
       HT = iHigh( Sy1, PP , i);
       LT = iLow( Sy1, PP , i);
       TT1 = iTime( Sy1, PP , i+1);
       OT1 = iOpen( Sy1, PP , i+1);
       CT1 = iClose( Sy1, PP , i+1);
       HT1 = iHigh( Sy1, PP , i+1); 
       LT1 = iLow( Sy1, PP , i+1);
       //     
       //   
       GL1OC = ((HT - LT)/3)+LT ;
       GL2OC = (((HT - LT)/3)*2)+LT ;
       SHL = ((HT - LT)/2) + LT ;
       SOC = ((OT - CT)/2) + CT ;
       CSS = ((SHL - SOC)/2)+ SOC ;
       SHL1 = ((HT1 - LT1)/2) + LT1 ;
       SOC1 = ((OT1 - CT1)/2) + CT1 ;
       CSS1 = ((SHL1 - SOC1)/2)+ SOC1 ;
       
      int MaxU =ArrayMaximum(High,PB,5);
      int MinU =ArrayMinimum(Low,PB,5);
      Maximum=High[MaxU];
      Minimum=Low[MinU]; 
       
//-------------------
//  
//-------------------
ObjectCreate(Sy1+DoubleToStr(Period(),0)+"TT"+i,OBJ_RECTANGLE,0,0,0,0,0);
   //   
     if(OT<CT)
     {
     ObjectSet(Sy1+DoubleToStr(Period(),0)+"TT"+i, OBJPROP_COLOR ,Lime) ;
     }
     if(OT>CT)
     {
     ObjectSet(Sy1+DoubleToStr(Period(),0)+"TT"+i, OBJPROP_COLOR ,Red) ;
     }
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TT"+i, OBJPROP_WIDTH ,6) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TT"+i, OBJPROP_RAY ,0) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TT"+i, OBJPROP_TIME1 ,TT+((milis*5)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TT"+i, OBJPROP_TIME2 ,TT+((milis*3)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TT"+i, OBJPROP_PRICE1 ,OT) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TT"+i, OBJPROP_PRICE2 ,CT) ;
   RefreshRates();
   ObjectCreate(Sy1+DoubleToStr(Period(),0)+"TG1"+i,OBJ_TREND,0,0,0,0,0);
   //   
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG1"+i, OBJPROP_COLOR ,Silver) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG1"+i, OBJPROP_WIDTH ,2) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG1"+i, OBJPROP_RAY ,0) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG1"+i, OBJPROP_TIME1 ,TT+((milis*6)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG1"+i, OBJPROP_TIME2 ,TT+((milis*2)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG1"+i, OBJPROP_PRICE1 ,HT) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG1"+i, OBJPROP_PRICE2 ,HT) ;
   RefreshRates();
   
   //  
   ObjectCreate(Sy1+DoubleToStr(Period(),0)+"TL"+i,OBJ_TREND,0,0,0,0,0);
   //   
   if(OT<CT)
     {
     ObjectSet(Sy1+DoubleToStr(Period(),0)+"TL"+i, OBJPROP_COLOR ,Lime) ;
     }
     if(OT>CT)
     {
     ObjectSet(Sy1+DoubleToStr(Period(),0)+"TL"+i, OBJPROP_COLOR ,Red) ;
     }
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TL"+i, OBJPROP_WIDTH ,2) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TL"+i, OBJPROP_RAY ,0) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TL"+i, OBJPROP_TIME1 ,TT+((milis*4)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TL"+i, OBJPROP_TIME2 ,TT+((milis*4)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TL"+i, OBJPROP_PRICE1 ,HT) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TL"+i, OBJPROP_PRICE2 ,LT) ;
   RefreshRates();
   ObjectCreate(Sy1+DoubleToStr(Period(),0)+"TG2"+i,OBJ_TREND,0,0,0,0,0);
   //   
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG2"+i, OBJPROP_COLOR ,Silver) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG2"+i, OBJPROP_WIDTH ,2) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG2"+i, OBJPROP_RAY ,0) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG2"+i, OBJPROP_TIME1 , TT+((milis*6)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG2"+i, OBJPROP_TIME2 ,TT+((milis*2)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG2"+i, OBJPROP_PRICE1 ,LT) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG2"+i, OBJPROP_PRICE2 ,LT) ;
   RefreshRates();
   ObjectCreate(Sy1+DoubleToStr(Period(),0)+"TG3"+i,OBJ_TREND,0,0,0,0,0);
   //   
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG3"+i, OBJPROP_COLOR ,Silver) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG3"+i, OBJPROP_WIDTH ,2) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG3"+i, OBJPROP_RAY ,0) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG3"+i, OBJPROP_TIME1 ,TT+((milis*6)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG3"+i, OBJPROP_TIME2 ,TT+((milis*2)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG3"+i, OBJPROP_PRICE1 ,GL1OC) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG3"+i, OBJPROP_PRICE2 ,GL1OC) ;
   RefreshRates();
   ObjectCreate(Sy1+DoubleToStr(Period(),0)+"TG4"+i,OBJ_TREND,0,0,0,0,0);
   //   
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG4"+i, OBJPROP_COLOR ,Silver) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG4"+i, OBJPROP_WIDTH ,2) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG4"+i, OBJPROP_RAY ,0) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG4"+i, OBJPROP_TIME1 ,TT+((milis*6)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG4"+i, OBJPROP_TIME2 ,TT+((milis*2)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG4"+i, OBJPROP_PRICE1 ,GL2OC) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG4"+i, OBJPROP_PRICE2 ,GL2OC) ;
   RefreshRates();
   ObjectCreate(Sy1+DoubleToStr(Period(),0)+"TG5"+i,OBJ_TREND,0,0,0,0,0);
   //   
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG5"+i, OBJPROP_COLOR ,Blue) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG5"+i, OBJPROP_WIDTH ,2) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG5"+i, OBJPROP_RAY ,0) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG5"+i, OBJPROP_TIME1 ,TT+((milis*4)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG5"+i, OBJPROP_TIME2 ,TT-(milis)+(milis*(PP*Nb))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG5"+i, OBJPROP_PRICE1 , CSS ) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG5"+i, OBJPROP_PRICE2 , CSS1 ) ;
   RefreshRates();
//----
   ObjectCreate(Sy1+DoubleToStr(Period(),0)+"TG6"+i,OBJ_TREND,0,0,0,0,0);
   //   ,     ,  
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG6"+i, OBJPROP_COLOR ,Pink) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG6"+i, OBJPROP_WIDTH ,2) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG6"+i, OBJPROP_RAY ,0) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG6"+i, OBJPROP_TIME1 ,TT+((milis*4)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG6"+i, OBJPROP_TIME2 ,TT-(milis*(PP*Nb))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG6"+i, OBJPROP_PRICE1 , Maximum +0.0001) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG6"+i, OBJPROP_PRICE2 , Maximum +0.0001) ;
   RefreshRates();
   ObjectCreate(Sy1+DoubleToStr(Period(),0)+"TG7"+i,OBJ_TREND,0,0,0,0,0);
   //   ,     ,  
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG7"+i, OBJPROP_COLOR ,Pink) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG7"+i, OBJPROP_WIDTH ,2) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG7"+i, OBJPROP_RAY ,0) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG7"+i, OBJPROP_TIME1 ,TT+((milis*4)+(milis*(PP*Nb)))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG7"+i, OBJPROP_TIME2 ,TT-(milis*(PP*Nb))) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG7"+i, OBJPROP_PRICE1 , Minimum -0.0001) ;
   ObjectSet(Sy1+DoubleToStr(Period(),0)+"TG7"+i, OBJPROP_PRICE2 , Minimum -0.0001) ;
   RefreshRates();
//----
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TL"+i+1) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TT"+i+1) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TG1"+i+1) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TG2"+i+1) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TG3"+i+1) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TG4"+i+1) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TG5"+i+1) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TG6"+i+1) ;
ObjectDelete(Sy1+DoubleToStr(Period(),0)+"TG7"+i+1) ;
//----
//----
}
//----
//----
   return(0);
  }
//+------------------------------------------------------------------+